Subject: bug#45923: closed (Re: bug#45923: Hot to intall Guile without Make)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Jan 2021 20:42:02 +0000

Your bug report

#45923: Hot to intall Guile without Make

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45923: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45923
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45923: Hot to intall Guile without Make
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], "Dr. Arne Babenhauserheide" <[email-masked]>, [email-masked]
Date: Sun, 17 Jan 2021 21:41:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> On Sun, Jan 17, 2021 at 09:18:59PM +0100, Dr. Arne Babenhauserheide wrote:
>> 
>> [email-masked] writes:
>> 
>> > is there a way to install Guile or Make on Manjaro without an internet
>> > connection and without having already installed one of them?
>> 
>> You’ll need to build and install make once without guile support (see
>> ./configure --help), then install Guile with that reduced make and
>> finally build and install make again with Guile support.
>
> I took the problem off-thread with paul. I think the "bug" can be closed
> now :)
>
> I'd do if I knew how.

Send email to [email-masked] like I’m doing with this email.

-- 
Ricardo

Subject: Hot to intall Guile without Make
From: [email-masked]
To: [email-masked]
Date: Sat, 16 Jan 2021 23:42:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone,     I'm very sorry, if this is the wrong mail adress for my problem, but I couldn't find another to seek for help. I just thought that you are probably the expert for my question and are maybe willing to help me :)   Today I installed Linux (Manjaro) for the first time in my life on my brother's computer. To install the drivers for the "WiFi USB dongle" from a CD I need to install Make. Having spend the whole day to figuring out how to get most of the packages from "base-devel" installed without an internet connection, I'm left with installing Guile to finally install Make to be able to connect to the internet. Unfortunately, some versions of Guile that I encountered need a PGP-key to install, which results in an error message, since I have no internet connection. On the other hand, if I follow along your guide on (https://www.gnu.org/software/guile/manual/html_node/Obtaining-and-Installing-Guile.html) I need Make again, which I want to install in the first place.   So is there a way to install Guile or Make on Manjaro without an internet connection and without having already installed one of them?     Kind Regards, Paul Ebert